chore(gem-dependencies): image_processing 1.12.1 (was 1.11.0)

Using bundler flags:  conservative minor strict
parent d855c84f
......@@ -36,3 +36,4 @@ storage/
/yarn-error.log
yarn-debug.log*
.yarn-integrity
coverage
......@@ -19,6 +19,7 @@ variables:
lint:
stage: test
retry: 0
extends:
- .cache-pull-push
- .retry-dropped-runners
......@@ -31,6 +32,7 @@ lint:
test:
stage: test
retry: 0
extends:
- .cache-pull
- .retry-dropped-runners
......@@ -38,9 +40,15 @@ test:
script:
- bundle exec rails db:schema:load
- bundle exec rails test
artifacts:
reports:
cobertura: coverage/coverage.xml
system:
stage: test
retry: 1
variables:
TEST_TYPE: ':system'
extends:
- .cache-pull
- .retry-dropped-runners
......@@ -49,3 +57,6 @@ system:
script:
- bundle exec rails db:schema:load
- bundle exec rails test:system
artifacts:
reports:
cobertura: coverage/coverage.xml
......@@ -28,6 +28,7 @@ AllCops:
DisplayStyleGuide: true
ExtraDetails: true
TargetRubyVersion: 2.6
NewCops: enable
Rails:
Enabled: true
......@@ -37,6 +38,8 @@ Rails/HasAndBelongsToMany:
Enabled: false
Rails/RefuteMethods:
Enabled: false
Rails/UniqueValidationWithoutIndex:
Enabled: false
Metrics/AbcSize:
Exclude:
......@@ -208,3 +211,9 @@ Style/ExponentialNotation:
Enabled: true
Style/SlicingWithRange:
Enabled: true
# The following cops are added between 0.84.0 and 1.4.2.
# The configurations are default.
# If you want to use a cop by default, remove a configuration for the cop from here.
# If you want to disable a cop, change `Enabled` to false.
This diff is collapsed.
......@@ -54,8 +54,8 @@ gem 'uglifier'
gem 'webdrivers', '~> 4.0'
gem 'webpacker'
gem 'wicked_pdf'
gem 'will-paginate-i18n'
gem 'will_paginate'
gem 'will-paginate-i18n'
gem 'wkhtmltopdf-binary'
group :development do
......@@ -95,4 +95,6 @@ group :test do
gem 'policy-assertions'
gem 'roo'
gem 'selenium-webdriver'
gem 'simplecov', require: false
gem 'simplecov-cobertura'
end
......@@ -64,7 +64,7 @@ GEM
afm (0.2.2)
airbrussh (1.4.0)
sshkit (>= 1.6.1, != 1.7.0)
ast (2.4.0)
ast (2.4.1)
autoprefixer-rails (9.7.6)
execjs
babel-source (5.8.35)
......@@ -72,7 +72,7 @@ GEM
babel-source (>= 4.0, < 6)
execjs (~> 2.0)
bcrypt (3.1.13)
better_errors (2.7.1)
better_errors (2.9.1)
coderay (>= 1.0.0)
erubi (>= 1.0.0)
rack (>= 0.9.0)
......@@ -108,7 +108,7 @@ GEM
capistrano-rbenv-install (1.2.0)
capistrano (>= 3.0)
capistrano-rbenv (>= 2.0)
capybara (3.32.2)
capybara (3.34.0)
addressable
mini_mime (>= 0.1.3)
nokogiri (~> 1.8)
......@@ -119,7 +119,7 @@ GEM
capybara-selenium (0.0.6)
capybara
selenium-webdriver
caxlsx (3.0.1)
caxlsx (3.0.2)
htmlentities (~> 4.3, >= 4.3.4)
mimemagic (~> 0.3)
nokogiri (~> 1.10, >= 1.10.4)
......@@ -163,18 +163,19 @@ GEM
debug_inspector (0.0.3)
declarative (0.0.10)
declarative-option (0.1.0)
devise (4.7.1)
devise (4.7.3)
bcrypt (~> 3.0)
orm_adapter (~> 0.1)
railties (>= 4.1.0)
responders
warden (~> 1.2.3)
devise-i18n (1.9.1)
devise-i18n (1.9.2)
devise (>= 4.7.1)
devise_invitable (2.0.2)
devise_invitable (2.0.3)
actionmailer (>= 5.0)
devise (>= 4.6)
digest-crc (0.5.1)
docile (1.3.2)
dotenv (2.7.5)
dotenv-rails (2.7.5)
dotenv (= 2.7.5)
......@@ -237,7 +238,7 @@ GEM
i18n_rails_helpers (2.0.2)
rails (> 4.0.0)
i18n_yaml_sorter (0.2.0)
image_processing (1.11.0)
image_processing (1.12.1)
mini_magick (>= 4.9.5, < 5)
ruby-vips (>= 2.0.17, < 3)
iniparse (1.5.0)
......@@ -282,7 +283,7 @@ GEM
mime-types-data (~> 3.2015)
mime-types-data (3.2020.0512)
mimemagic (0.3.5)
mini_magick (4.10.1)
mini_magick (4.11.0)
mini_mime (1.0.2)
mini_portile2 (2.4.0)
mini_racer (0.2.14)
......@@ -293,7 +294,7 @@ GEM
multipart-post (2.1.1)
net-scp (3.0.0)
net-ssh (>= 2.6.5, < 7.0.0)
net-ssh (6.0.2)
net-ssh (6.1.0)
nio4r (2.5.4)
nokogiri (1.10.10)
mini_portile2 (~> 2.4.0)
......@@ -318,13 +319,13 @@ GEM
mime-types
mimemagic (~> 0.3.0)
terrapin (~> 0.6.0)
parallel (1.19.1)
parallel (1.20.1)
paranoia (2.4.2)
activerecord (>= 4.0, < 6.1)
parser (2.7.1.2)
ast (~> 2.4.0)
parser (2.7.2.0)
ast (~> 2.4.1)
path_expander (1.1.0)
pdf-reader (2.4.0)
pdf-reader (2.4.1)
Ascii85 (~> 1.0.0)
afm (~> 0.2.1)
hashery (~> 2.0)
......@@ -334,8 +335,6 @@ GEM
policy-assertions (0.2.0)
activesupport (>= 3.0.0)
pundit (>= 1.0.0)
polyamorous (2.3.2)
activerecord (>= 5.2.1)
pry (0.13.1)
coderay (~> 1.1)
method_source (~> 1.0)
......@@ -388,22 +387,21 @@ GEM
rainbow (3.0.0)
raindrops (0.19.1)
rake (13.0.1)
ransack (2.3.2)
activerecord (>= 5.2.1)
activesupport (>= 5.2.1)
ransack (2.4.0)
activerecord (>= 5.2.4)
activesupport (>= 5.2.4)
i18n
polyamorous (= 2.3.2)
rb-fsevent (0.10.4)
rb-inotify (0.10.1)
ffi (~> 1.0)
rcodetools (0.8.5.0)
redcarpet (3.5.0)
reek (6.0.0)
reek (6.0.2)
kwalify (~> 0.7.0)
parser (>= 2.5.0.0, < 2.8, != 2.5.1.1)
psych (~> 3.1.0)
psych (~> 3.1)
rainbow (>= 2.0, < 4.0)
regexp_parser (1.7.0)
regexp_parser (1.8.2)
representable (3.0.4)
declarative (< 0.1.0)
declarative-option (< 0.2.0)
......@@ -416,24 +414,26 @@ GEM
roo (2.8.3)
nokogiri (~> 1)
rubyzip (>= 1.3.0, < 3.0.0)
rubocop (0.84.0)
rubocop (1.4.2)
parallel (~> 1.10)
parser (>= 2.7.0.1)
parser (>= 2.7.1.5)
rainbow (>= 2.2.2, < 4.0)
regexp_parser (>= 1.8)
rexml
rubocop-ast (>= 0.0.3)
rubocop-ast (>= 1.1.1)
ruby-progressbar (~> 1.7)
unicode-display_width (>= 1.4.0, < 2.0)
rubocop-ast (0.0.3)
parser (>= 2.7.0.1)
rubocop-minitest (0.9.0)
rubocop (>= 0.74)
rubocop-performance (1.6.0)
rubocop (>= 0.71.0)
rubocop-rails (2.5.2)
activesupport
rubocop-ast (1.3.0)
parser (>= 2.7.1.5)
rubocop-minitest (0.10.1)
rubocop (>= 0.87)
rubocop-performance (1.9.1)
rubocop (>= 0.90.0, < 2.0)
rubocop-ast (>= 0.4.0)
rubocop-rails (2.8.1)
activesupport (>= 4.2.0)
rack (>= 1.1)
rubocop (>= 0.72.0)
rubocop (>= 0.87.0)
ruby-debug-ide (0.7.2)
rake (>= 0.8.1)
ruby-lint (2.3.1)
......@@ -446,7 +446,7 @@ GEM
ruby_parser (3.14.2)
sexp_processor (~> 4.9)
rubyzip (2.3.0)
sassc (2.3.0)
sassc (2.4.0)
ffi (~> 1.9)
sassc-rails (2.1.2)
railties (>= 4.0.0)
......@@ -465,9 +465,17 @@ GEM
faraday (>= 0.17.3, < 2.0)
jwt (>= 1.5, < 3.0)
multi_json (~> 1.10)
simple_form (5.0.2)
simple_form (5.0.3)
actionpack (>= 5.0)
activemodel (>= 5.0)
simplecov (0.20.0)
docile (~> 1.1)
simplecov-html (~> 0.11)
simplecov_json_formatter (~> 0.1)
simplecov-cobertura (1.4.2)
simplecov (~> 0.8)
simplecov-html (0.12.3)
simplecov_json_formatter (0.1.2)
sixarm_ruby_unaccent (1.2.0)
slim (4.1.0)
temple (>= 0.7.6, < 0.9)
......@@ -516,7 +524,7 @@ GEM
unicorn
warden (1.2.8)
rack (>= 2.0.6)
webdrivers (4.3.0)
webdrivers (4.4.1)
nokogiri (~> 1.6)
rubyzip (>= 1.3.0)
selenium-webdriver (>= 3.0, < 4.0)
......@@ -535,7 +543,7 @@ GEM
wkhtmltopdf-binary (0.12.5.4)
xpath (3.2.0)
nokogiri (~> 1.8)
zeitwerk (2.4.1)
zeitwerk (2.4.2)
PLATFORMS
ruby
......@@ -611,6 +619,8 @@ DEPENDENCIES
selectize-rails
selenium-webdriver
simple_form
simplecov
simplecov-cobertura
slim-rails
spring
sprockets-es6
......
......@@ -2,8 +2,9 @@
## Pipeline Status
- Develop: [![pipeline status](https://git.panter.ch/open-source/aoz-003/badges/develop/pipeline.svg)](https://git.panter.ch/open-source/aoz-003/commits/develop)
- Main: [![pipeline status](https://git.panter.ch/open-source/aoz-003/badges/main/pipeline.svg)](https://git.panter.ch/open-source/aoz-003/commits/main)
- Develop: [![pipeline status](https://git.panter.ch/open-source/aoz-003/badges/develop/pipeline.svg)](https://git.panter.ch/open-source/aoz-003/commits/develop) | [![coverage report](https://git.panter.ch/open-source/aoz-003/badges/develop/coverage.svg)](https://git.panter.ch/open-source/aoz-003/-/commits/develop)
- Main: [![pipeline status](https://git.panter.ch/open-source/aoz-003/badges/main/pipeline.svg)](https://git.panter.ch/open-source/aoz-003/commits/main) | [![coverage report](https://git.panter.ch/open-source/aoz-003/badges/main/coverage.svg)](https://git.panter.ch/open-source/aoz-003/-/commits/main)
Ruby version: 2.4.2
......
......@@ -171,7 +171,9 @@ class Client < ApplicationRecord
private
def check_if_destroyable!
# rubocop:disable Style/RaiseArgs
raise NotDestroyableError.new(self) unless destroyable?
# rubocop:enable Style/RaiseArgs
end
class NotDestroyableError < StandardError
......
......@@ -54,7 +54,7 @@ class AdminResetUserPasswordTest < ApplicationSystemTestCase
fill_in 'Passwort', with: @comon_pw
fill_in 'Passwort bestätigen', with: @comon_pw
click_button 'Passwort setzen'
assert_text 'Ihr Passwort wurde erfolgreich gesetzt und Sie sind jetzt angemeldet.'
assert_text 'Dein Passwort wurde gesetzt. Du bist nun angemeldet.'
sign_out_logged_in_user(volunteer.user)
form_login_user(@admin, @comon_pw, email: 'admin_changing@example.com')
update_users_password(volunteer.user, @common_changed_pw, email: 'volunteer@aoz.ch')
......
......@@ -4,6 +4,14 @@ require 'database_cleaner'
require 'policy_assertions'
require 'webdrivers/chromedriver'
require 'simplecov-cobertura'
require 'simplecov'
Rails.application.eager_load!
SimpleCov.formatter = SimpleCov::Formatter::CoberturaFormatter
SimpleCov.command_name "test#{ENV['TEST_TYPE'] || ''}"
SimpleCov.start 'rails'
Rails.application.eager_load!
Webdrivers.install_dir = '.ci-cache/webdrivers'
Dir[Rails.root.join 'test/utility/**/*.rb'].each { |path| require path }
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment